package com.huatek.busi.vo.curve;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;

@Data
public class PointItemVo implements Serializable, Comparable<PointItemVo> {
    private static final long serialVersionUID = 1L;

    private String mainTreeId;
    private String sensorCode;
    private LocalDateTime timeStamp;
    private BigDecimal val;

    private String extendVala;
    private String extendValb;
    private String extendValc;

    public PointItemVo() {}

    public PointItemVo(LocalDateTime timeStamp) {
        this.timeStamp = timeStamp;
    }

    public PointItemVo(String sensorCode, LocalDateTime timeStamp, BigDecimal val) {
        super();
        this.sensorCode = sensorCode;
        this.timeStamp = timeStamp;
        this.val = val;
    }

    @Override
    public int compareTo(PointItemVo o) {
        return this.timeStamp.compareTo(o.getTimeStamp());
    }
}
